From 0461c85098b84ea607a323c1815bb9acdf80bea0 Mon Sep 17 00:00:00 2001
From: Max Leonard Inden <IndenML@gmail.com>
Date: Mon, 14 May 2018 11:55:16 +0200
Subject: [PATCH] docs: Run embedmd on both Docs and kube-prometheus README.md

---
 README.md | 4 +++-
 build.sh  | 2 ++
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/README.md b/README.md
index 3d1d27f8..663f7831 100644
--- a/README.md
+++ b/README.md
@@ -83,9 +83,11 @@ To compile the above and get each manifest in a separate file on disk use the fo
 #!/usr/bin/env bash
 set -e
 set -x
+# only exit with zero if all commands of the pipeline exit successfully
+set -o pipefail
 
                                                # optional, but we would like to generate yaml, not json
-jsonnet -J vendor -m manifests example.jsonnet | xargs -I{} sh -c 'cat $1 | gojsontoyaml > $1.yaml; rm $1' -- {}
+jsonnet -J vendor -m manifests example.jsonnet | xargs -I{} sh -c 'cat $1 | gojsontoyaml > $1.yaml; rm -f $1' -- {}
 
 ```
 
diff --git a/build.sh b/build.sh
index 30e75852..9c22672e 100755
--- a/build.sh
+++ b/build.sh
@@ -1,6 +1,8 @@
 #!/usr/bin/env bash
 set -e
 set -x
+# only exit with zero if all commands of the pipeline exit successfully
+set -o pipefail
 
                                                # optional, but we would like to generate yaml, not json
 jsonnet -J vendor -m manifests example.jsonnet | xargs -I{} sh -c 'cat $1 | gojsontoyaml > $1.yaml; rm -f $1' -- {}
-- 
GitLab